#!/bin/sh
# alt-pupsave-create3.sh
# Purpose: alternative pupsave creation script.
# musher0, Nov. 29, 2013; rev., Nov. 30, 2013.
####
unset NOM
function create {
dd if=/dev/zero of="$NOM"save-arf.2fs bs=1k count=393000
mkfs.ext2 -q -m 0 -F "$NOM"save-arf.2fs
}
clear
if [ "`ls -1 /mnt/sda1`" != "" ];then 
# Thanks to Karl_Godt for the reminder! Nov. 30, 2013.
	echo "Alternate pupsave creation script"
	echo "   by musher0, Nov. 30, 2013."
	echo "      ~~~~~~~~~~~~~~~~~~~"
	echo "-- Please note --  This quick and dirty script:"
	echo "1) does not ask where to store the pupsave file. It stores"
	echo "__ it by default at the top level of /mnt/sda1,"
	echo "2) it only creates ext2 file systems,"
	echo "3) of 384 Mb only, and"
	echo "4) you can't customize the file name from within this script."
	echo
	echo "Let's all be clear that this is a workaround, and that some"
	echo "of the work will have to be done by you, the user."
	echo
	echo "It should be used on the rare occasion where the normal pupsave"
	echo "creation script fails to create a personal save file. (The bug"
	echo "has been known to occur on older computers using an external"
	echo "drive, for example.)"
	echo
	echo "If those limitations do not suit you, please press Ctrl+C to exit."
	echo "Or press Return to continue."
	read
	clear
	echo
	echo "Let's begin."
	echo
	echo "Your partition at /mnt/sda1 is open. We continue."
	cd /mnt/sda1
	echo
	echo "Here are the names of some recent Puppies:"
	echo
	echo "  CE dpup kdpup lupu polar precise quirky"
	echo "  racy raring slacko sulu wary wheezy wolx"
	echo
	echo "Type in your Puppy's name. Check your spelling!"
	echo "During the process, if asked, press [y]es."
	read NOM
	echo "~~~~~~~~~~~~~~~"
	case $NOM in
# Thanks to L18N, for the remark that prompted the following edit.
	CE|dpup|kdpup|lupu|polar|precise|quirky|racy|raring|slacko|sulu|wary|wheezy|wolx)
	create;;
	*)echo
	echo "The name that you provided is not in the above list."
	echo "Type [y] if it's ok to continue."
	echo
	read A
	if [ "$A" = "y" ];then
		create
		else
			echo
			echo "Please check the proper name of your pupsave and try again."
			echo
		exit
	fi;;
	esac
	echo "~~~~~~~~~~~~~~~"
	clear
	echo
	echo "Done! Your new pupsave file should be on partition /mnt/sda1. You"
	echo "can leave it there, but it is suggested that you create a folder,"
	echo "give it your Puppy's name and move the newly created file in it,"
	echo "to keep things organized. You can change manually the part of "
	echo "the file name between the hyphen and the dot, if you so wish."
	echo
	echo "You can now reboot your Puppy. It will load the newly created"
	echo "pupsave file automatically."
	echo
	echo "Have a great day!"
	echo
	else 
		echo "Please mount partition /mnt/sda1 and restart the script."
		echo "If you are on a diskless station, burn your Puppy on"
		echo "DVD and use it in multi-session mode; this script is of"
		echo "no use to you."
fi
## 30 ##
